Name:           ino
Version:        0.3.6
Release:        2%{?dist}
Summary:        Command line toolkit for working with Arduino hardware
# See README.rst
License:        MIT
URL:            http://inotool.org/
Source0:        http://pypi.python.org/packages/source/i/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       python-jinja2 pyserial python-configobj
Requires:       arduino-core
Requires:       picocom

%description
Ino is a command line toolkit for working with Arduino hardware.

It allows you to:
Quickly create new projects
Build a firmware from multiple source files and libraries
Upload the firmware to a device
Perform serial communication with a device (aka serial monitor)

Ino may replace Arduino IDE UI if you prefer to work with command line and
an editor of your choice or if you want to integrate Arduino build process
to third party IDE.

Ino is based on make to perform builds. However Makefiles are generated
automatically and you'll never see them if you don't want to.

%prep
%setup -q
sed -i 's|/usr/bin/env python|/usr/bin/python|' ino/runner.py

%build
CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python setup.py install -O1 --skip-build --root %{buildroot}
chmod +x %{buildroot}%{python_sitelib}/%{name}/runner.py
rm -f %{buildroot}%{python_sitelib}/%{name}/templates/*/lib/.holder

%files
%doc README.rst MIT-LICENSE.txt
%{_bindir}/%{name}
%{python_sitelib}/%{name}*

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 06 2014 Alberto Ruiz <aruiz@redhat.com> - 0.3.6-1
- Bump the version to 0.3.6, removed avrdude.conf path patch which was merged upstream

* Fri Jan 03 2014 Miro Hrončok <mhroncok@redhat.com> - 0.3.5-6
- Remove dependency of python-ordereddict (#1038331) (#1022220)

* Thu Aug 29 2013 Alberto Ruiz <aruiz@redhat.org> - 0.3.5-5
- Added patch to support Fedora specific location for avrdude.conf file, fixes #985904

* Thu Aug 29 2013 Alberto Ruiz <aruiz@redhat.com> - 0.3.5-4
- Fixed spec file to keep lib subdirs in the templates, fixes #995489

* Wed Aug 28 2013 Alberto Ruiz <aruiz@gnome.org> - 0.3.5-3
- Added picocom as a dependency, fixes #985908

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jan 29 2013 Miro Hrončok <mhroncok@redhat.com> - 0.3.5-1
- New version with license file
- Removed empty hidden files
- Require arduino -> arduino-core

* Sun Jan 27 2013 Miro Hrončok <mhroncok@redhat.com> - 0.3.4-1
- Started

